rem "Searching for device"

powershell "$result = Get-PnpDevice -PresentOnly | Where-Object { $_.FriendlyName -match '^Arduino NANO Every'}; $result -replace '^.*(COM[0-9]+).*', '$1';" > deviceport.tmp

set /p port= < deviceport.tmp

rem "Found device: %port%"

mode.com %port%: baud=1200 dtr=on
mode.com %port%: dtr=off
avrdude -V -patmega4809 -cjtag2updi -P%port%  -b115200 -e -D "-Uflash:w:binary.hex:i" "-Ufuse2:w:0x01:m" "-Ufuse5:w:0xC9:m" "-Ufuse8:w:0x00:m" {upload.extra_files}
set /P "=Update completed. Press any key ..." <nul & pause >nul & echo/